<?php
require_once('../wu_init.php');

//Баг Яндекса
if (!stristr($_SERVER['HTTP_REFERER'], SITE)) { header ("Location: /pay_success"); exit; }

if (!wu_token()) { exit; }

if(isset($_POST['paysys']) && isset($_POST['type'])){
	
$paysystem = intval($_POST['paysys']);
$type = mysqli_real_escape_string($connect_db,$_POST['type']);
$sum = mysqli_real_escape_string($connect_db, $_POST['sum']);
$extra = mysqli_real_escape_string($connect_db, $_POST['extra']);

$paysys = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT id,ident,ti,keys_in,active_in FROM `".DB_PREFIX."_pay_systems` WHERE id='$paysystem' LIMIT 1"));
if (empty($paysys['id'])) { wu_log_act(2, 'Пытался создать счёт с помощью несуществующей платёжной системы #'.wu_filter($_POST['paysys'])); exit('wu-error'); }

if ($paysys['active_in'] != 1) { wu_log_act(2, "Пытался создать счёт с помощью закрытой для пополнения платёжной системы $paysys[ti]"); exit('wu-error'); }

$last_pay = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT id FROM `".DB_PREFIX."_cash_in` ORDER BY id DESC LIMIT 1"));
$batch = intval($last_pay['id'])+1;
$keys_in = $paysys['keys_in'];

//Инклуд выбранной операции
$op_type = preg_replace("#[^a-zA-Z]+#i",'',$_POST['type']);
require_once('wu_pay_operation_'.$op_type.'.php');

if ($sum < 0.01) { wu_log_act(2, 'Пытался создать счёт с суммой '.wu_filter($_POST['sum']).' руб.'); echo wu_error_msg('Сумма операции меньше или равна нулю.'); exit; }

//Инклуд оплаты с помощью платёжной системы
require_once('wu_pay_redirect_'.$paysys['ident'].'.php');

wu_log_fin($u_id, 0, "Создал счёт в платёжной системе $paysys[ti] на сумму ".wu_filter($_POST['sum'])." руб.");

} else { wu_log_act(2, 'Пытался создать счёт с пустыми параметрами идентификации'); exit('wu-error'); }
?>